Package org.apache.sysds.runtime.compress.lib

# Class CLALibMatrixMult

java.lang.Object
org.apache.sysds.runtime.compress.lib.CLALibMatrixMult

public final class CLALibMatrixMult extends Object

## Method Summary

Modifier and Type
Method
Description
`static MatrixBlock`
`matrixMultiply(MatrixBlock m1, MatrixBlock m2, MatrixBlock ret, int k)`
`static MatrixBlock`
`matrixMultiply(MatrixBlock m1, MatrixBlock m2, MatrixBlock ret, int k, boolean transposeLeft, boolean transposeRight)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### matrixMultiply

public static MatrixBlock matrixMultiply(MatrixBlock m1, MatrixBlock m2, MatrixBlock ret, int k)

### matrixMultiply

public static MatrixBlock matrixMultiply(MatrixBlock m1, MatrixBlock m2, MatrixBlock ret, int k, boolean transposeLeft, boolean transposeRight)